Subject: [secdir] secdir review of draft-ietf-manet-smf-mib-11

From: Stephen Hanna <[email-masked]>
Date: Tue, 25 Mar 2014 21:17:19 +0000

I have reviewed the latest version of this document as part of
the security directorate's ongoing effort to review all IETF
documents being processed by the IESG.  These comments were
written primarily for the benefit of the security area directors.
Document editors and WG chairs should treat these comments just
like any other last call comments.

Neither of my comments below seems to have been addressed. In
addition, I did notice a few more typos that have been added
to the Security Considerations section:

* "destine" should be "destined"

* "does specifies" should be "does specify"

* "but these cases will vary dependent" should be "these cases
   will vary depending"

Other than these typos, the document looks fine from a security
perspective. In fact, I'm happy to see more and better commentary
in the Security Considerations section.

Thanks,

Steve

> -----Original Message-----
> From: Stephen Hanna
> Sent: Thursday, October 17, 2013 8:29 PM
> To: The IESG; [email-masked]; 'draft-ietf-manet-smf-
> [email-masked]'
> Subject: secdir review of draft-ietf-manet-smf-mib-08
> 
> I have reviewed this document as part of the security directorate's
> ongoing effort to review all IETF documents being processed by the
> IESG.  These comments were written primarily for the benefit of the
> security area directors.  Document editors and WG chairs should treat
> these comments just like any other last call comments.
> 
> While I am not an expert in SNMP, SMF, or MANET, I found this
> document to be well-written and easy to understand. More relevant
> to this review, the security of the protocol is adequate and
> the Security Considerations section is exemplary.
> 
> I did notice two typos:
> 
> * In the Security Considerations section, the commentary on
>   smfConfiguredOpMode includes the words "this writable
>   configuration objects define". This should end in "object
>   define", I think.
> 
> * In the Security Considerations section, the commentary on
>   smfNhdpRssaMesgTLVIncluded includes the words "the the".
>   Of course, that should be just "the".
> 
> With these corrections, I think the document is ready to publish.
> 
> Thanks,
> 
> Steve